Ecommerce
Products, orders, and coupons
Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Query Parameters
25value <= 100"true" | "false"Response Body
application/json
application/json
curl -X GET "https://example.com/v1/sites/string/shop/products"{
"data": [
{
"id": "string",
"title": "string",
"price": 0,
"currency": "EUR",
"description": "string",
"images": [
"string"
],
"category": "string",
"stock": 0,
"active": true,
"type": "physical",
"variants": [
{}
],
"createdAt": "2019-08-24T14:15:22Z"
}
],
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
},
"pagination": {
"total": 0,
"limit": 0,
"nextCursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sites/string/shop/products" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "price": 0 }'{
"data": {
"id": "string",
"title": "string",
"price": 0,
"currency": "EUR",
"description": "string",
"images": [
"string"
],
"category": "string",
"stock": 0,
"active": true,
"type": "physical",
"variants": [
{}
],
"createdAt": "2019-08-24T14:15:22Z"
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/sites/string/shop/products/string" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "price": 0 }'{
"data": {
"id": "string",
"title": "string",
"price": 0,
"currency": "EUR",
"description": "string",
"images": [
"string"
],
"category": "string",
"stock": 0,
"active": true,
"type": "physical",
"variants": [
{}
],
"createdAt": "2019-08-24T14:15:22Z"
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Query Parameters
25value <= 100"pending" | "paid" | "shipped" | "delivered" | "completed" | "cancelled" | "refunded""createdAt""createdAt" | "total" | "status""desc""asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://example.com/v1/sites/string/shop/orders"{
"data": [
{
"id": "string",
"status": "pending",
"total": 0,
"currency": "string",
"customer": {},
"itemCount": 0,
"shipping": {},
"trackingNumber": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
},
"pagination": {
"total": 0,
"limit": 0,
"nextCursor": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/sites/string/shop/coupons"{
"data": [
{
"id": "string",
"code": "string",
"type": "percent",
"amount": 0,
"active": true
}
],
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sites/string/shop/coupons" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "type": "percent", "amount": 1 }'{
"data": {
"id": "string",
"code": "string",
"type": "percent",
"amount": 0,
"active": true
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth API key obtained from the CMS dashboard.
In: header
Path Parameters
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/sites/string/shop/coupons/string/deactivate"{
"data": {
"id": "string",
"active": false
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}